@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%"=="" @echo off
@rem ##########################################################################
@rem
@rem  teamscale-dev startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%"=="" set DIRNAME=.
@rem This is normally unused
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and TEAMSCALE_DEV_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-XX:-OmitStackTraceInFastThrow"

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute

echo. 1>&2
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH. 1>&2
echo. 1>&2
echo Please set the JAVA_HOME variable in your environment to match the 1>&2
echo location of your Java installation. 1>&2

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo. 1>&2
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME% 1>&2
echo. 1>&2
echo Please set the JAVA_HOME variable in your environment to match the 1>&2
echo location of your Java installation. 1>&2

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\teamscale-ide-cli.jar;%APP_HOME%\lib\teamscale-ide-commons.jar;%APP_HOME%\lib\com.teamscale.commons.jar;%APP_HOME%\lib\teamscale-ide-config.jar;%APP_HOME%\lib\org.conqat.lib.commons.jar;%APP_HOME%\lib\logging-1.0.1.jar;%APP_HOME%\lib\picocli-4.7.5.jar;%APP_HOME%\lib\jackson-datatype-guava-2.17.0.jar;%APP_HOME%\lib\jackson-datatype-jsr310-2.17.0.jar;%APP_HOME%\lib\jackson-dataformat-xml-2.17.0.jar;%APP_HOME%\lib\converter-jackson-2.11.0.jar;%APP_HOME%\lib\jackson-module-jakarta-xmlbind-annotations-2.17.0.jar;%APP_HOME%\lib\jackson-dataformat-toml-2.17.0.jar;%APP_HOME%\lib\jackson-databind-2.17.0.jar;%APP_HOME%\lib\jackson-core-2.17.0.jar;%APP_HOME%\lib\jackson-annotations-2.17.0.jar;%APP_HOME%\lib\log4j-slf4j2-impl-2.23.1.jar;%APP_HOME%\lib\log4j-jcl-2.23.1.jar;%APP_HOME%\lib\log4j-api-2.23.1.jar;%APP_HOME%\lib\jvm-native-trusted-roots-1.0.21.jar;%APP_HOME%\lib\bcpkix-jdk18on-1.78.jar;%APP_HOME%\lib\guava-33.1.0-jre.jar;%APP_HOME%\lib\checker-qual-3.42.0.jar;%APP_HOME%\lib\classgraph-4.8.170.jar;%APP_HOME%\lib\classindex-3.13.jar;%APP_HOME%\lib\commons-compress-1.26.1.jar;%APP_HOME%\lib\commons-text-1.11.0.jar;%APP_HOME%\lib\commons-lang3-3.14.0.jar;%APP_HOME%\lib\httpmime-4.5.14.jar;%APP_HOME%\lib\httpclient-4.5.14.jar;%APP_HOME%\lib\httpcore-4.4.16.jar;%APP_HOME%\lib\jakarta.xml.bind-api-3.0.1.jar;%APP_HOME%\lib\angus-activation-2.0.2.jar;%APP_HOME%\lib\jakarta.activation-api-2.1.3.jar;%APP_HOME%\lib\jsch-0.1.55.jar;%APP_HOME%\lib\converter-scalars-2.11.0.jar;%APP_HOME%\lib\retrofit-2.11.0.jar;%APP_HOME%\lib\okhttp-4.12.0.jar;%APP_HOME%\lib\okio-jvm-3.6.0.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.9.10.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.9.10.jar;%APP_HOME%\lib\kotlin-stdlib-1.9.10.jar;%APP_HOME%\lib\annotations-24.1.0.jar;%APP_HOME%\lib\svnkit-1.10.11.jar;%APP_HOME%\lib\lz4-java-1.8.0.jar;%APP_HOME%\lib\commonmark-0.22.0.jar;%APP_HOME%\lib\org.eclipse.jgit-5.13.0.202109080827-r.jar;%APP_HOME%\lib\slf4j-api-2.0.12.jar;%APP_HOME%\lib\commons-codec-1.16.1.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\commons-io-2.15.1.jar;%APP_HOME%\lib\bcutil-jdk18on-1.78.jar;%APP_HOME%\lib\bcprov-jdk18on-1.78.jar;%APP_HOME%\lib\JavaEWAH-1.1.12.jar;%APP_HOME%\lib\jna-platform-5.10.0.jar;%APP_HOME%\lib\sequence-library-1.0.4.jar;%APP_HOME%\lib\sqljet-1.1.15.jar;%APP_HOME%\lib\jna-5.10.0.jar;%APP_HOME%\lib\failureaccess-1.0.2.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\error_prone_annotations-2.26.1.jar;%APP_HOME%\lib\commons-logging-1.3.0.jar;%APP_HOME%\lib\woodstox-core-6.6.1.jar;%APP_HOME%\lib\stax2-api-4.2.2.jar;%APP_HOME%\lib\byte-buddy-1.14.9.jar;%APP_HOME%\lib\antlr-runtime-3.4.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.9.10.jar


@rem Execute teamscale-dev
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %TEAMSCALE_DEV_OPTS%  -classpath "%CLASSPATH%" com.teamscale.ide.cli.commands.RootCommand %*

:end
@rem End local scope for the variables with windows NT shell
if %ERRORLEVEL% equ 0 goto mainEnd

:fail
rem Set variable TEAMSCALE_DEV_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
set EXIT_CODE=%ERRORLEVEL%
if %EXIT_CODE% equ 0 set EXIT_CODE=1
if not ""=="%TEAMSCALE_DEV_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
